Bug 146867 - mysqld init script ignores configured data directory
Summary: mysqld init script ignores configured data directory
Status: CLOSED DUPLICATE of bug 76051
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql   
(Show other bugs)
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-02 10:01 UTC by Ruth Ivimey-Cook
Modified: 2013-07-03 03:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 19:08:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ruth Ivimey-Cook 2005-02-02 10:01:31 UTC
Description of problem: 
The data directory configured in /etc/my.cnf is ignored by the 
mysqld init script during its startup checks, which assume a data 
directory in /var/lib/mysql. If the my.cnf directory is elsewhere, 
the checks don't do the required thing and consequently mysqld 
fails to start. I get this: 
 
 
Version-Release number of selected component (if applicable): 
mysql 3.23.58-14 
 
How reproducible: 
 
 
Steps to Reproduce: 
1. Set the data directory (only) to be different from the default 
2. put a valid mysql data directory at the new locn. 
3. try to start mysql using service mysqld start 
4. watch it fail! 
   
Actual results: 
Initializing MySQL database:                               [  OK  ] 
*** glibc detected *** double free or corruption (!prev): 0x08cd94a0 
*** 
Timeout error occurred trying to start MySQL Daemon. 
Starting MySQL:                                            [FAILED]

Comment 1 Tom Lane 2005-02-02 15:25:12 UTC
This is repaired as of development tip (mysql 4.1.7-6 and up)

*** This bug has been marked as a duplicate of 76051 ***

Comment 2 Red Hat Bugzilla 2006-02-21 19:08:06 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.